<?php
namespace Mirasvit\SearchAutocomplete\Service\ProductListService;

/**
 * Interceptor class for @see \Mirasvit\SearchAutocomplete\Service\ProductListService
 */
class Interceptor extends \Mirasvit\SearchAutocomplete\Service\ProductListService implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mirasvit\SearchAutocomplete\Model\ConfigProvider $config, \Magento\Catalog\Model\Config $catalogConfig, \Magento\Elasticsearch\Model\Adapter\FieldMapper\Product\AttributeProvider $attributeAdapterProvider, \Magento\Elasticsearch\Model\Adapter\FieldMapper\Product\FieldProvider\FieldName\ResolverInterface $fieldNameResolver)
    {
        $this->___init();
        parent::__construct($config, $catalogConfig, $attributeAdapterProvider, $fieldNameResolver);
    }

    /**
     * {@inheritdoc}
     */
    public function getDefaultOrder() : string
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getDefaultOrder');
        return $pluginInfo ? $this->___callPlugins('getDefaultOrder', func_get_args(), $pluginInfo) : parent::getDefaultOrder();
    }
}
